<template>
    <hi-taskcenter ref="hiTask" @openfunc="openfunc" style="background-color:#fff;"></hi-taskcenter>
</template>
<script>
import "hi-taskcenter/hi-taskcenter.css";
import HiTaskcenter from "hi-taskcenter";
export default {
    components: {
        HiTaskcenter,
    },
    mounted(){
        let me=this;
        document.addEventListener("iframeActiving",function(e){
            //console.log(e.detail);
            if(top.window.__refreshTaskcenter){
                top.window.__refreshTaskcenter=false;
                me.$refs.hiTask.taskschemeItemClick( { value: "untreated", label: "未处理", sel: true });
            }
        });
    },
    methods: {
        openfunc(__data1,__data2,__data3) {
            debugger;
            top.window.SysPage.newPage(__data2.fpdisplayname,location.origin+(window._global?"":window.HIVUI_SETTING.serverName)+"/"+__data2.fmodelpath,{
                fmodelpath:__data2.fmodelpath,
                version:__data2.fversion,
                ftaskguid:__data2.ftaskguid,
                flowstate:__data2.flowstate,
                forderguid:__data2.forderguid, 
                fnumber:__data2.fordernumber,
                pn:window.HIVUI_SETTING.projectName,
            });
        },
    },
};
</script>